Welcome to NanoDVR

Contents

Welcome to the NanoDVR Helpsystem.

A short introduction how to use NanoDVR you will find here: Quickstart

Describtions to all functions of NanoDVE you find under the explanations of the userinterface.

Further Columns:


Getting started

Quickstart

Please consider the Systemrequirements.

Before starting nanoDVR make sure, that you have the right TV station entered yb yout TV card software and/or choosed the right input source (video source).

If you are using nanoDVR for the first time, the window might look like this:

Even most science-fiction movies tells you the different, just push the right button, that means just press with your mouse the third button in the symboltask.

The recording process will start immediately. After 20 sec your recording wills top (if you did not edited the time of max. recordingtime).

The video datas have been encoded in realtime and now the audio data will be multiplexed with them.

You will get a status window. Simply click the "OK" button.

Ready!

To play the just finished captured videodata, simply click on the "Play" Button (black arrow, showing to the right side in the symbolborder).


Benutzeroberfläche

User Interface

The following picture shows the user interface during a videocapturing.

The display contains 4 parts: (from top to down)

  • The Statusrow shows informations about the current process.
  • Over the Menurow you come to all function adjustings of NanoDVR.
  • At the Symbolrow there are symbols to get a quick start of the different functions.
  • The current video picture is displayed in the Picturearea.


Statustext

Statusrow

During the recording the statusrow shows you some informations.

The first number after "Frames" shows you the number of the recorded pictures, here 186.

"+7" measn, that there had been 7 single pictures not been brought to us by the captureboard., those have been filed with the preceding one. In other context, those pictures are called "Filled Frames". If you are haveing many "Filed Frames", lower the framerate or the encodingspeed.

The first number in the brakes shows, hwo many single frames already have beend encoded successfully and have been writen to the harddisk. The second number tells you, how many pictures have been saved in the memory for later encoding.

If the second number becomes higher than the entered max. number of the puffer (see Generelle Settings) the recording will be stopped.


Symbolleiste

The Symbolbar

To go to the main functions of NanoDVR, please use the buttons on the Symbolbar:

Select output file (siehe Dateimenü)
Quicksettings
start recording
start recording a VCD
play recorded film
Video Format Setting
Video Source Settings
Status of the last capture project
Extending Adjustments


Bildbereich

The Picture Area

The picture area shows the picture, which comes through your capture board. During the capture process, it might come to some displayerrors or picture freezings. This is an effect by your using hardware, but does not have any influence to the captured pictures!

NanoDVR does not have any influence of the context of the pictures supplies by your capture board.


Menüleiste

Menutask

Over the menutask, you come to severall submenus and to all functions of the nanoDVR recording programm.

In the following, there are all 4 submenus "File", "Capture", "Options" and "Help" explained.


Dateimenü

Filemenu

There are three selections under the filemenu.

"Select Output File" - select the output file, where to save your coded data.

"Play Output File" - plays your last captured file

"Exit" - quit nanoDVR


Aufnahme

Recordingmenu

There are two options under "Capture", that will start the recording:
"Start Capture" starts the recording with the settings as you can find it under "Schnelleinstellungen" or "Erweiterte Einstellungen".
"Capture Video CD Format" starts a recording in VideoCD mode. You can burn this data to a CD and play them in a VCD-Player.

"Show Status" show the status of your last caputered project.


Status

Capture Status

After every successful recording, there will be pop-up a status dialog with some informations about the finished project.

"Image Width" and "Image Height" are the size of your captured video.

"Frames Captured" is the number of the single pictures beeing captured.
"Frames filled" is the number of those pictures, having filled, because your capture board did not sent enough datas.
"Frames dropped" is the number of those pictures, couldn´t be encoded (most times in the beginning some picutres).

"Capture Time" is the complete recording time.

"EFPS" is the estimated effective picturerate. It tells you, which picturerate there will be over a longer time.


Einstellungen

Settings

Under "Options" you will find 3 subcategories, which will bring you to the settingdialogs.

With "Video Format" you can edit the size of the capture pictures (i.e. 320x240) and also the colorformat (i.e. RGB24).

If you are having more than one video source, you can select your actual source in the "Videosource" menu.

"Capture Settings" leads you to the settings for the recording, there you can also choose, which codec you want to use (MPEG-1, MPEG-2)

Further settings are listed under "Advanced Settings".


Video Source

The dialogbox to adjust the video format is provided by the manufactorer of your capture board. Therefore your dialogbox might be different to our picture. The generall settings should be available.

Under "Video Connector" you can choose the Videosource, most cases the "TV Capture Board".

Important is to select the right video standard (Europe = PAL, America = NTSC). Should already be correct selected by your TV Watching Program or other captureboardsoftware.
If your picture seems to have wrong colors or flickering check your selected video format.

The dialog in our example offer the possibility to change Brightness, Contrast Saturation and Hure (for NTSC only).


Video Format

The dialogbox to adjust the video format is provided by the manufactorer of your capture board. Therefore your dialogbox might be different to our picture. The generall settings should be available.

The Exampledialog shows some typical settings: 352x288 pixels, which correspond 1/4 of the full PAL TV resolution and is usable to create Video-CD´s (VCD).

YUY2 is a color format which is supported intern by most PC hardware (like a Capture Carte).
Because of this, this format is most times "faster" than a RGB format.

At present the NanoDVR programm supports following color formats: YUY2, RGB16, RGB24


Schnelleinstellungen

Quicksettings

You can take the basic settings under Quicksettings. To use all options of nanoDVR, please choose Further Settings. Please note, that both dialogs influence each other.

In "Profile" you can choose some useable settings (i.e. Video CD). The bitrate settings etc. will be made automatically. Use the option "Custom" to set all options by your own.

Under "Speed" you find some CPU infos. You can use this for a good setting. By this, there will be made some settings you can find under "Further Options".

The bitrate influence the size of the outputfile and the quality of the picture of your creating file. How larger your pictureformat and/or framerate is, you have to higher the bitrate or the quality will be worse.

The selection of the codec MPEG-1 / MPEG-2 says that you also have to use a player, supporting your codec. The Windows Media Player (version 6 or higher) is only able to play MPEG-1 files. For MPEG-2 use player from ligos (www.ligos.de) or similar. More informations about MPEG-Codecs you will find under www.mpeg.org.

The "framerate" tells you, how many pictures will be coded each second. Use if possible "25".

"Capture Time" sets the recording time. You can enter seconds or the format: <hours>:<minutes>:<seconds> (i.e. 1:30:00).

"Encode Audio Offline" means, if the audio datas will be coded after the recording (better performance because more resources during recording) or during recording (saves diskspace, because no extra WAV-File will be created).


Capture Settings

Further Adjustments

The dialog to adjust the recordingsettings can be splitted into three parts:
General Settings, Settings for Encoding and Special Settings (Misc Options)


General Settings

In the field "Framerate" you can adjust how many frames per second shall be encoded. To create a Video-CD take 25 fps (PAL) or 30 fps (NTSC)(look also Video CD).

Please remember, that most capture-boards are able to capture only 25 frames per second.

The MPEG-1/MPEG-2 standard does not allow all frame rates. If you are using other rates (i.e. 5 fps), the playback might be wrong (to fast), this happens most at MPEG-2.
Use a standard rate of 25.

Moreover you can adjust to "Frame Buffer". To prevent differents in the codingspeed, te capturing of pictures etc, all pictures will be buffered. The value of "Frame Buffer" declares, how many pictures will be max. buffered.

Please remember, that a high "Frame Buffer" does need a lot of RAM. For a solution of 352x288 pixel, there will be needed about 300 kByte (352 * 288 * 3 Byte) for each buffer.

In the breakes there is a value, calculated by the useable main memory, You can take this number as a appoximate value for the max. number of buffered frames.


Encoder Settings

Under "Encoder Settings" you can make some settings for the encoding parameters.

First of all youhave to choose the compression codec, MPEG-1 or MPEG-2.

Actually MPEG-1, MPEG-2 and MPEG-4 too does not differents only a few in quality. The following settings influences the quality much more:

The "bitrate" tells, how many diskspace each second will be used for the coded pictures.

"GOP" should be 12.

With "Coding Speed" you can adjust, how many time will be used for encoding a picture. As lower the speed , as better the result. If your computer is not fast enough a selected recording set the speed on "high".
The setting "IntraB" influences also the compressionquality.

One of the importants parts of the MPEG compression is the "Motion Estimation". Only on very slow systems, you should use "slow". The setting high" sould only be used at slowmotion or freezed scenes.

Use "High Quality" for a better filmquality at low bitrates, but your speed will be going down!

"Encode Audio Offline" let the audio datas encoding after or during recording. If you want to encode the audio after the recording you will need about the double of the required diskspace.

"Fast Audio" speeds the audio compression, but with a little quality loose. If you are using offline encoding you do not need this.

By deselecting "Capture Audio" you can turn off capturing audio, you will capture only the video.


Misc Settings

Misc Options

The "Misc Options" gives you the option to choose, if audio shall be recorded or not, by selecting "Captur Audio". Of course, this is only possible, if an audio source is available.

Beside that, you have the option to cancel the audio recording after a set time automatically. "Use Timelimit" is the selector and enter the time in seconds.

1 minute = 60 second
1 hour = 3600 seconds

If your graphic card, does not support Overlay, or if you are having troubles with this, deactivate it, by using the "Overlay"-Switch. This might lower your capture speed.
Newer Graphic Boards should support Overlay without any problems.


Hilfemenü

Helpmenu

The Helpmenu leads you to the Context or Index of the helpfile. Under "About" you get informations about the version of nanoDVR.


Systemvoraussetzungen

System

Requirements:
 | Pentium-MMX or AMD K6 233 MHz 64 MB RAM Windows95/98, Millenium, 2000 or NT Capturecard with VFW Driver, i.e. WinTV
Requirement for High-Quality Recording:
 | Pentium-II/III, AMD K7 from 400 Mhz or compareable.
Longer High-Quality Recording:
 | Pentium-II/III , Athlon K7 from 600 Mhz or compareable

A second processor improves the speed of recording and quality.

All Specification are appoximate values, because the whole configuration of your system influences the recording quality. (Graphiccard, Mainboard, etc.)

To try our product on your system first, you can get a free demoversion of NanoDVR under following internetaddress: www.nanocosmos.de

For playback you need a MPEG-1 and/or MPEG-2 Player, i.e. MS Mediaplayer (included in every MS Windows Edition) or Ligos MPEG-2 Player ( www.ligos.com). You can play created Video-CD´s (VCD)on your VCD-Player.


Erzeugte Dateien

Created Files

Following files will be created in a capture process:
("output.mpg" as the selected outgoing filename)

Example 1: MPEG-1, Audio will be encoded offline (after getting all datas)

created during recording:
output.m1v - MPEG-1 videodata
output.wav - uncompressed audiodata

created after recording:
output.mpa - MPEG audiodata
output.mpg - MPEG-1 film with audio und video

Example 2: MPEG-2, audio will be encoded online

created during recording:
output.m2v - MPEG-2 videodata
output.mpa - MPEG audiodata

created after recording:
output.mpg - MPEG-2 film with audio and video


Tips zur Aufnahme

Tips for Capturing

NanoDVR offers many adjust possibilities. The advantage is that you can create nice short, long, small, big films. But you need some knowledge about the functions of the several adjustings to get a good result.

"General Tips" gives you some help in configurate NanoDVR.

"Recording of Video-CD´s" gives you a short introduction how to create your own Video-CDs.


Allgemeine Tips

Tips: Adjusting

In the following we give you some tips for the settings of nanoDVR:

1. Picturef ormat
2. Framerate
3. Bitrate
4. Coding Speed
5. HQ or not HQ
6. Motion Estimation
7. Audio Offline and Fast Audio

1. Picutureformat:

A typical resolution to use is 352x288 pixels. This is a quarter of the full PAL TV-Resolution.
Higher resolutions are not supported by most TV-Capture boards, so that a good encoding is not possible. Small resolutions do not look good if you zoom them up.

2. Framerate:

Films do have a fine motion from 25 frames per second on. Please use this framerate first.
If your CPU is not fast enough, or your priority is the picturequality, lower the framerate under 25, but the MPEG-1 and MPEG-2 standard does not support framerates lower than 25.
Sure is, that you will have errors in the speed, when playing a MPEG-2 film encoded with a framerate lower than 25.

3. Bitrate:

The entered bitrate determines the size of the output file. Beside that the Quality rises at higher bitrates.
The disadvantage is, that your outputfile will become larger.

4. Coding Speed:

The Codingtempo influences the pictureuality of the creating film. The different between the levels is not big, so that these settings can be used for finetuning.

5. HQ or not HQ:

The setting "HQ" (High Quality) influences the picturequality much. Mostly the speed of the used PC decides if you can use HQ or not.

6. Motion Estimation:

The kind of the Motion Estimation can be set in three different levels. The level "slow" is extrem slower as the other one and should only be used on very fast machines.
The qualitydifferent between the three levels is not big.

7. Audio Offline and Fast Audio:

Audio Offline means, that your audio datas will be encoded after the recording process. During the recording, the audio datas will be uncompressed stored in a WAV File on your HDD. This gives you a speeding tuning of about 10 %, but needs more diskspace.
If you are using this, turn off "Fast Audio" to get the best possible audio quality.


Erstellen von VCD's

Creating of VCD's

With the NanoDVR Captureprogramm, you can record your own MPEG files, which are useable to burn Video CD´s (VCD).

Following Adjustings are available:

Resolution: 352x288, Framerate: 25 (PAL VCD)
Resolution: 352x240, Framerate: 30 (NTSC VCD)

Because there are also other parameters to adjust, there is a special recording-modus for this, who does this for you automatically. To capture VCD, simply select under the Capture-Menu the option "Capture Video CD Format" or press the small button with the signature <VCD> in the symboltask:

There are also other framesrates available, but not working for VCDs.

To burn a CD out of your created VCD - MPEG File, please use a burning program, that supports VCD (i.e. WinOnCD or Nero).


FAQ

Frequently Asked Questions:

F: What is MPEG? Where can I find more informations about it?

A: Go to www.mpeg.org.

F: Which hardware shows the best results?

A: nanoPEG supports the newest processortechnology MMX and SSE , so that you get good results with a Pentium-III or Athlon processor.

F: How can I code a File offline, i.e. an already existing AVI-File?

A: Use our Offline Encoder MPEG-SoftEngine. nanoDVR is created for real-time capturing from a capture card.

F: Is nanoDVR "multithreaded" and uses my second processor?

A: Yes and no. nanoDVR uses multiply Threads, but only one for coding the videodata. A second processor brings up a performancespeed of about 10%.

F: nanoDVR breaks up after a short time. Up to this moment everything works fine. Why?

A: Maybe your used settings cannot encode the data fast enough. The incoming data will be buffered in the main RAM. (also look under "General Tips")


Nanocosmos IT GmbH

Contact

nanoCOSMOS Informationstechnologien GmbH

email: info@nanocosmos.de
www: www.nanocosmos.de

phone: +49 (30) 430 32 411
fax: +49 (30) 430 32 413

Am Borsigturm 40
D-13507 Berlin
Germany

The Nanocosmos Soccer Team